using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 检查任务附件表
    /// </summary>
    [Description("检查任务明细附件表")]
    public class T_BS_SAFE_CHECK_DETAIL_FILE : MesEntityBase
    {
        /// <summary>
        /// 检查明细
        /// </summary>
        [Description("检查明细")]
        [DataFieldForeignKey("Nav_CheckDetail", "Nav_Files")]
        public Guid SAFE_CHECK_DETAIL_ID { get; set; }


        /// <summary>
        /// 检查明细
        /// </summary>
        [Description("导航：检查明细")]
        public virtual T_BS_SAFE_CHECK_DETAIL Nav_CheckDetail { get; set; }

        /// <summary>
        /// 检查记录
        /// </summary>
        [Description("检查记录")]
        [DataFieldForeignKey("Nav_SafeCheck")]
        public Guid SAFE_CHECK_ID { get; set; }

        /// <summary>
        /// 检查记录
        /// </summary>
        [Description("导航：检查记录")]
        public virtual T_BS_SAFE_CHECK Nav_SafeCheck { get; set; }


        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
